use rocket::{get, routes, tokio};
use rocket_ws::{Stream, WebSocket};


#[rocket::main]
async fn main() {
    let j = rocket::build().mount("/", routes![ws]);
    let _ = j.launch().await;
}

#[get("/echo")]
fn ws(ws: WebSocket) -> Stream!['static] {
    Stream! { ws =>
        for await message in ws {
            println!("{:?}", message);
            yield message?;
        }
    }
}